package com.fs.ad.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.ad.domain.AdDomain;

/**
 * 广告域名Mapper接口
 * 
 * @author fs
 * @date 2025-03-04
 */
public interface AdDomainMapper extends BaseMapper<AdDomain>{
    /**
     * 查询广告域名
     * 
     * @param id 广告域名主键
     * @return 广告域名
     */
    AdDomain selectAdDomainById(Long id);

    /**
     * 查询广告域名列表
     * 
     * @param adDomain 广告域名
     * @return 广告域名集合
     */
    List<AdDomain> selectAdDomainList(AdDomain adDomain);

    /**
     * 新增广告域名
     * 
     * @param adDomain 广告域名
     * @return 结果
     */
    int insertAdDomain(AdDomain adDomain);

    /**
     * 修改广告域名
     * 
     * @param adDomain 广告域名
     * @return 结果
     */
    int updateAdDomain(AdDomain adDomain);

    /**
     * 删除广告域名
     * 
     * @param id 广告域名主键
     * @return 结果
     */
    int deleteAdDomainById(Long id);

    /**
     * 批量删除广告域名
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteAdDomainByIds(Long[] ids);
}
